#XCVR realted cores
set PF_XCVR_ERMver {3.1.205}
set PF_XCVR_REF_CLKver {1.0.103}
set PF_TX_PLLver {2.0.304}

#DRI related core
set PF_DRIver {1.1.104}

#CCC and osc
set PF_CCCver {2.2.220}
set PF_OSCver {1.0.102}

#other cores
set COREABCver {4.1.111}
set PF_CLK_DIVver {1.0.103}
set PF_INIT_MONITORver {2.0.307}
set CORERESETver {2.3.100}

#Device details

set die_eval {MPF300TS}
set eval_package {FCG1152}
set eval_part_range {IND}


# A common procedure called by all tests.

# Computes the runtime for each command run in Libero

#

proc run_tool_wrapper { cmd } {

 

  # get tool name from the command

  #

  regexp {run_tool\s+-name\s+\{*(\w*)\}*} $cmd full1 tool;

 

  puts "Starting $tool command";

  set full_cmd "time \{ $cmd \}";

  set TIME_start [clock seconds];
  set runtime [ eval $full_cmd ];
  set TIME_taken [expr [clock seconds] - $TIME_start];
  puts "\nRUNTIME:$tool=$TIME_taken secs\n";
 	

  set runtime_secs [ expr [lindex $runtime 0]/1000000 ];

  puts "\nRUNTIME_bytime:$tool=$runtime_secs secs\n";

 

}

